﻿
#pragma once

#include <string>

typedef struct NewRepairMonitorReportRecord_
{
	std::wstring 分公司名称_;
	std::wstring 部门组名称_;
	std::wstring 报案号_;
	std::wstring 报案日期_;
	std::wstring 出险日期_;
	std::wstring 出险地点_;
	std::wstring 事故车目前位置_;
	std::wstring 车损序号_;
	std::wstring 车牌_;
	std::wstring vin码_;
	std::wstring 车龄_;
	std::wstring 品牌代码_;
	std::wstring 品牌名称_;
	std::wstring 车系名称_;
	std::wstring 使用性质名称_;
	std::wstring 保单号_;
	std::wstring 标的车_三者车_;
	std::wstring 是否9座以下企业用车_行政用车_家庭自用车_;
	std::wstring 核价金额_;
	std::wstring 核损配件核损金额_;
	std::wstring 核损工时费核损金额_;
	std::wstring 核损辅料核损金额_;
	std::wstring 核损外修费核损金额_;
	std::wstring 核损施救费核损金额_;
	std::wstring 结案金额_;
	std::wstring 结案配件核损金额_;
	std::wstring 结案工时费核损金额_;
	std::wstring 结案辅料核损金额_;
	std::wstring 结案外修费核损金额_;
	std::wstring 结案施救费核损金额_;
	std::wstring 接报案人分公司名称_;
	std::wstring 接报案人工号_;
	std::wstring 接报案人名称_;
	std::wstring 第一任务分派时间_;
	std::wstring 第一定损员分公司_;
	std::wstring 第一定损员部门组名称_;
	std::wstring 第一定损员代码_;
	std::wstring 第一定损员名称_;
	std::wstring 第一车商是否已阅读_;
	std::wstring 第一车上是否预约进厂_;
	std::wstring 第一车商是否推荐失败_;
	std::wstring 第一车商是否进厂确认_;
	std::wstring 第一车商是否出场确认_;
	std::wstring 第二任务分派时间_;
	std::wstring 第二定损员分公司_;
	std::wstring 第二定损员部门组名称_;
	std::wstring 第二定损员代码_;
	std::wstring 第二定损员名称_;
	std::wstring 第二车商是否已阅读_;
	std::wstring 第二车上是否预约进厂_;
	std::wstring 第二车商是否推荐失败_;
	std::wstring 第二车商是否进厂确认_;
	std::wstring 第二车商是否出场确认_;
	std::wstring 第三任务分派时间_;
	std::wstring 第三定损员分公司_;
	std::wstring 第三定损员部门组名称_;
	std::wstring 第三定损员代码_;
	std::wstring 第三定损员名称_;
	std::wstring 第三车商是否已阅读_;
	std::wstring 第三车上是否预约进厂_;
	std::wstring 第三车商是否推荐失败_;
	std::wstring 第三车商是否进厂确认_;
	std::wstring 第三车商是否出场确认_;
	std::wstring 其他查勘员信息_;
	std::wstring 是否推荐_;
	std::wstring 是否存在工单_;
	std::wstring 工单类型_;
	std::wstring 查勘员操作类型_;
	std::wstring 案件状态名称_;
	std::wstring 车状_当前状态_;
	std::wstring 车状_报案环节_;
	std::wstring 车状_现场推荐环节_;
	std::wstring 车状_核价通过环节_;
	std::wstring 车状_结案环节_;
	std::wstring 承保车商代码_;
	std::wstring 承保车商名称_;
	std::wstring 报案车商分公司名称_;
	std::wstring 报案车商部门组名称_;
	std::wstring 报案车商代码_;
	std::wstring 报案车商名称_;
	std::wstring 现场推荐车商分公司名称_;
	std::wstring 现场推荐车商代码_;
	std::wstring 现场推荐车商名称_;
	std::wstring 核价车商分公司名称_;
	std::wstring 核价车商部门组名称_;
	std::wstring 核价车商代码_;
	std::wstring 核价车商名称_;
	std::wstring 推荐车商与核价车商是否一致_;
	std::wstring 核价修理厂归属公司代码_;
	std::wstring 核价修理厂归属公司名称_;
	std::wstring 核价修理厂_;
	std::wstring 核价修理厂名称_;
	std::wstring 估损单号_;
	std::wstring 核价通过时间_;
	std::wstring 定损员机构_;
	std::wstring 定损员代码_;
	std::wstring 定损员名称_;
	std::wstring 结案车商分公司_;
	std::wstring 结案车商部门组名称_;
	std::wstring 结案车商代码_;
	std::wstring 结案车商名称_;
	std::wstring 推荐车商与结案车商是否一致_;
	std::wstring 结案修理厂归属公司代码_;
	std::wstring 结案修理厂归属公司名称_;
	std::wstring 结案修理厂代码_;
	std::wstring 结案修理厂名称_;
	std::wstring 车辆进厂时间_;
	std::wstring 车辆出厂时间_;
	std::wstring 结案时间_;
	std::wstring 事故经过_;
	std::wstring 数据更新日期_;
	std::wstring 备注_;
	std::wstring 估损单模板_;
	std::wstring 返修开关_报案_;
	std::wstring 送修开关_报案_;
	std::wstring 返修开关_核价_;
	std::wstring 送修开关_核价_;
	std::wstring 返修开关_结案_;
	std::wstring 送修开关_结案_;
	std::wstring 查勘员分公司名称_;
	std::wstring 查勘员代码_;
	std::wstring 查勘员名称_;
	std::wstring 核价修理厂归属中支_;
	std::wstring 结案修理厂归属中支_;
	std::wstring 是否诉讼_;
	std::wstring 座席推荐分公司代码_;
	std::wstring 座席推荐分公司名称_;
	std::wstring 座席推荐车商名代码_;
	std::wstring 座席推荐车商名称_;
	std::wstring 座席推荐操作类型_;
	std::wstring 座席推荐排名_;
	std::wstring 第一次推荐分公司代码_;
	std::wstring 第一次推荐分公司名称_;
	std::wstring 第一次推荐车商代码_;
	std::wstring 第一次推荐车商名称_;
	std::wstring 第一次推荐工具_;
	std::wstring 第一次推荐操作类型_;
	std::wstring 第一次推荐排名_其他推荐信息_;
	std::wstring 第二次推荐分公司代码_;
	std::wstring 第二次推荐分公司名称_;
	std::wstring 第二次推荐车商代码_;
	std::wstring 第二次推荐车商名称_;
	std::wstring 第二次推荐工具_;
	std::wstring 第二次推荐操作类型_;
	std::wstring 第二次推荐排名_其他推荐信息_;
	std::wstring 第三次推荐分公司代码_;
	std::wstring 第三次推荐分公司名称_;
	std::wstring 第三次推荐车商代码_;
	std::wstring 第三次推荐车商名称_;
	std::wstring 第三次推荐工具_;
	std::wstring 第三次推荐操作类型_;
	std::wstring 第三次推荐排名_其他推荐信息_;
	std::wstring 其他推荐信息_;
	std::wstring 推荐失败具体原因_;
	std::wstring 是否现场报案_;
	std::wstring 报案地点_;
	std::wstring 是否在厂报案_;
} NewRepairMonitorReportRecord;
