﻿#pragma once

#include <QWidget>
#include "ui_QNewRepairMonitorWidget.h"
#include "../../Data/Datastructure/新送返修监控报表/新送返修监控报表.h"

class QNewRepairMonitorWidget : public QWidget
{
	Q_OBJECT

public:
	QNewRepairMonitorWidget(QWidget *parent = Q_NULLPTR);
	~QNewRepairMonitorWidget();

protected Q_SLOTS:
	void onImport();
	
private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();
	
	void showNewRepairMonitorRecords();

private:
	Ui::QNewRepairMonitorWidget ui;

	//数据
	std::vector<NewRepairMonitorReportRecord> recordVector;
};
