﻿#pragma once

#include <QWidget>
#include "ui_QRepairOrderWidget.h"
#include "../../Data/Datastructure/RepairOrder/RepairOrder.h"

class QRepairOrderWidget : public QWidget
{
	Q_OBJECT

public:
	QRepairOrderWidget(QWidget *parent = Q_NULLPTR);
	~QRepairOrderWidget();

protected Q_SLOTS:
	void onImport();
	
private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();
	void showRepairOrder();
	
private:
	Ui::QRepairOrderWidget ui;

	std::vector<RepairOrder> repairOrderVector;
};
