CREATE OR REPLACE PACKAGE data_import_util_pkg IS

    -- Author  : WANGKANE
    -- Created : 2019/12/28 11:33:02
    -- Purpose : ݵ빤

    --쳣   
    no_cardealer_code_excpt CONSTANT INTEGER := -20000;
    no_cardealer_code_text  CONSTANT VARCHAR2(100) := 'ȱٳ̴롣';

    no_order_no_excpt CONSTANT INTEGER := -20001;
    no_order_no_text  CONSTANT VARCHAR2(100) := 'ȱٹ';

    no_notify_no_excpt CONSTANT INTEGER := -20002;
    no_notify_no_text  CONSTANT VARCHAR2(100) := 'ȱٱ';

    PROCEDURE import_cardealer_achvmnt
    (
        a_the_year            IN VARCHAR2,
        a_the_month           IN VARCHAR2,
        a_car_dealer_code     IN VARCHAR2,
        a_checked_achievement IN VARCHAR2,
        a_policy_amount       IN VARCHAR2,
        a_cpic_amount         IN VARCHAR2,
        a_picc_amount         IN VARCHAR2,
        a_pingan_amount       IN VARCHAR2,
        a_others_amount       IN VARCHAR2
    );

    PROCEDURE import_cardealer_scheme
    (
        a_the_year        IN VARCHAR2,
        a_the_month       IN VARCHAR2,
        a_car_dealer_code IN VARCHAR2,
        a_man_hour_price  IN VARCHAR2,
        a_part_price      IN VARCHAR2,
        a_claim_support   IN VARCHAR2,
        a_scheme          IN VARCHAR2,
        a_is_qualified    IN VARCHAR2
    );

    PROCEDURE import_repairing_order
    (
        a_branch_name           VARCHAR2,
        a_order_no              VARCHAR2,
        a_order_type            VARCHAR2,
        a_notify_no             VARCHAR2,
        a_damage_area           VARCHAR2,
        a_damage_date           VARCHAR2,
        a_generating_date       VARCHAR2,
        a_policy_no             VARCHAR2,
        a_policy_no_jqx         VARCHAR2,
        a_plate_number          VARCHAR2,
        a_brand_name            VARCHAR2,
        a_is_insurance_object   VARCHAR2,
        a_is_success            VARCHAR2,
        a_recommend_dealer_code VARCHAR2,
        a_recommend_dealer_name VARCHAR2,
        --a_recomm_dealer_code_in_notify VARCHAR2,
        a_recomm_dealer_name_in_notify VARCHAR2,
        a_recomm_dealer_name_in_survey VARCHAR2,
        a_agent_name                   VARCHAR2,
        a_surveyor                     VARCHAR2,
        a_check_date                   VARCHAR2,
        a_repairing_start_date         VARCHAR2,
        a_repairing_finish_date        VARCHAR2,
        a_status                       VARCHAR2,
        a_lost_item_id                 VARCHAR2,
        a_surveyor_recomm_status       VARCHAR2
    );

    PROCEDURE import_repairing_suggestion
    (
        a_order_no     VARCHAR2,
        a_order_type   VARCHAR2,
        a_notify_no    VARCHAR2,
        a_Ƽ̴ VARCHAR2,
        a_Ƽ VARCHAR2,
        a_damage_date  VARCHAR2,
        a_plateNo      VARCHAR2,
        a_brand_name   VARCHAR2,
        a_message_type VARCHAR2,
        a_sending_date VARCHAR2,
        a_data_source  VARCHAR2
    );

    PROCEDURE ͷ޼ر
    (
        a_ֹ˾                 VARCHAR2,
        a_                 VARCHAR2,
        a_                     VARCHAR2,
        a_                   VARCHAR2,
        a_                   VARCHAR2,
        a_յص                   VARCHAR2,
        a_¹ʳĿǰλ             VARCHAR2,
        a_                   VARCHAR2,
        a_                       VARCHAR2,
        a_vin                      VARCHAR2,
        a_                       VARCHAR2,
        a_Ʒƴ                   VARCHAR2,
        a_Ʒ                   VARCHAR2,
        a_ϵ                   VARCHAR2,
        a_ʹ               VARCHAR2,
        a_                     VARCHAR2,
        a_ĳ_߳              VARCHAR2,
        a_Ƿ9ͥó    VARCHAR2,
        a_˼۽                   VARCHAR2,
        a_           VARCHAR2,
        a_ʱѺ         VARCHAR2,
        a_Ϻ           VARCHAR2,
        a_޷Ѻ         VARCHAR2,
        a_ʩȷѺ         VARCHAR2,
        a_᰸                   VARCHAR2,
        a_᰸           VARCHAR2,
        a_᰸ʱѺ         VARCHAR2,
        a_᰸Ϻ           VARCHAR2,
        a_᰸޷Ѻ         VARCHAR2,
        a_᰸ʩȷѺ         VARCHAR2,
        a_ӱ˷ֹ˾         VARCHAR2,
        a_ӱ˹               VARCHAR2,
        a_ӱ               VARCHAR2,
        a_һʱ           VARCHAR2,
        a_һԱֹ˾           VARCHAR2,
        a_һԱ       VARCHAR2,
        a_һԱ             VARCHAR2,
        a_һԱ             VARCHAR2,
        a_һǷĶ         VARCHAR2,
        a_һǷԤԼ       VARCHAR2,
        a_һǷƼʧ       VARCHAR2,
        a_һǷȷ       VARCHAR2,
        a_һǷȷ       VARCHAR2,
        a_ڶʱ           VARCHAR2,
        a_ڶԱֹ˾           VARCHAR2,
        a_ڶԱ       VARCHAR2,
        a_ڶԱ             VARCHAR2,
        a_ڶԱ             VARCHAR2,
        a_ڶǷĶ         VARCHAR2,
        a_ڶǷԤԼ       VARCHAR2,
        a_ڶǷƼʧ       VARCHAR2,
        a_ڶǷȷ       VARCHAR2,
        a_ڶǷȷ       VARCHAR2,
        a_ʱ           VARCHAR2,
        a_Աֹ˾           VARCHAR2,
        a_Ա       VARCHAR2,
        a_Ա             VARCHAR2,
        a_Ա             VARCHAR2,
        a_ǷĶ         VARCHAR2,
        a_ǷԤԼ       VARCHAR2,
        a_ǷƼʧ       VARCHAR2,
        a_Ƿȷ       VARCHAR2,
        a_Ƿȷ       VARCHAR2,
        a_鿱ԱϢ             VARCHAR2,
        a_ǷƼ                   VARCHAR2,
        a_Ƿڹ               VARCHAR2,
        a_                   VARCHAR2,
        a_鿱Ա             VARCHAR2,
        a_״̬               VARCHAR2,
        a_״_ǰ״̬              VARCHAR2,
        a_״_              VARCHAR2,
        a_״_ֳƼ          VARCHAR2,
        a_״_˼ͨ          VARCHAR2,
        a_״_᰸              VARCHAR2,
        a_б̴               VARCHAR2,
        a_б               VARCHAR2,
        a_̷ֹ˾         VARCHAR2,
        a_̲         VARCHAR2,
        a_̴               VARCHAR2,
        a_               VARCHAR2,
        a_ֳƼ̷ֹ˾     VARCHAR2,
        a_ֳƼ̴           VARCHAR2,
        a_ֳƼ           VARCHAR2,
        a_˼۳̷ֹ˾         VARCHAR2,
        a_˼۳̲         VARCHAR2,
        a_˼۳̴               VARCHAR2,
        a_˼۳               VARCHAR2,
        a_Ƽ˼۳Ƿһ VARCHAR2,
        a_˼˾     VARCHAR2,
        a_˼˾     VARCHAR2,
        a_˼                 VARCHAR2,
        a_˼             VARCHAR2,
        a_𵥺                   VARCHAR2,
        a_˼ͨʱ               VARCHAR2,
        a_Ա                 VARCHAR2,
        a_Ա                 VARCHAR2,
        a_Ա                 VARCHAR2,
        a_᰸̷ֹ˾             VARCHAR2,
        a_᰸̲         VARCHAR2,
        a_᰸̴               VARCHAR2,
        a_᰸               VARCHAR2,
        a_Ƽ᰸Ƿһ VARCHAR2,
        a_᰸˾     VARCHAR2,
        a_᰸˾     VARCHAR2,
        a_᰸             VARCHAR2,
        a_᰸             VARCHAR2,
        a_ʱ               VARCHAR2,
        a_ʱ               VARCHAR2,
        a_᰸ʱ                   VARCHAR2,
        a_¹ʾ                   VARCHAR2,
        a_ݸ               VARCHAR2,
        a_ע                       VARCHAR2,
        a_ģ                 VARCHAR2,
        a_޿_              VARCHAR2,
        a_޿_              VARCHAR2,
        a_޿_˼              VARCHAR2,
        a_޿_˼              VARCHAR2,
        a_޿_᰸              VARCHAR2,
        a_޿_᰸              VARCHAR2,
        a_鿱Աֹ˾           VARCHAR2,
        a_鿱Ա                 VARCHAR2,
        a_鿱Ա                 VARCHAR2,
        a_˼֧         VARCHAR2,
        a_᰸֧         VARCHAR2,
        a_Ƿ                   VARCHAR2,
        a_ϯƼֹ˾         VARCHAR2,
        a_ϯƼֹ˾         VARCHAR2,
        a_ϯƼ         VARCHAR2,
        a_ϯƼ           VARCHAR2,
        a_ϯƼ           VARCHAR2,
        a_ϯƼ               VARCHAR2,
        a_һƼֹ˾       VARCHAR2,
        a_һƼֹ˾       VARCHAR2,
        a_һƼ̴         VARCHAR2,
        a_һƼ         VARCHAR2,
        a_һƼ             VARCHAR2,
        a_һƼ         VARCHAR2,
        a_һƼ             VARCHAR2,
        a_ڶƼֹ˾       VARCHAR2,
        a_ڶƼֹ˾       VARCHAR2,
        a_ڶƼ̴         VARCHAR2,
        a_ڶƼ         VARCHAR2,
        a_ڶƼ             VARCHAR2,
        a_ڶƼ         VARCHAR2,
        a_ڶƼ             VARCHAR2,
        a_Ƽֹ˾       VARCHAR2,
        a_Ƽֹ˾       VARCHAR2,
        a_Ƽ̴         VARCHAR2,
        a_Ƽ         VARCHAR2,
        a_Ƽ             VARCHAR2,
        a_Ƽ         VARCHAR2,
        a_Ƽ             VARCHAR2,
        a_ƼϢ               VARCHAR2,
        a_Ƽʧܾԭ           VARCHAR2,
        a_Ƿֳ               VARCHAR2,
        a_ص                   VARCHAR2,
        a_Ƿڳ               VARCHAR2
    );

    FUNCTION ַת
    (
        a_date    VARCHAR2,
        a_formate VARCHAR2
    ) RETURN DATE;

END data_import_util_pkg;
/
CREATE OR REPLACE PACKAGE BODY data_import_util_pkg IS

    PROCEDURE import_cardealer_achvmnt
    (
        a_the_year            IN VARCHAR2,
        a_the_month           IN VARCHAR2,
        a_car_dealer_code     IN VARCHAR2,
        a_checked_achievement IN VARCHAR2,
        a_policy_amount       IN VARCHAR2,
        a_cpic_amount         IN VARCHAR2,
        a_picc_amount         IN VARCHAR2,
        a_pingan_amount       IN VARCHAR2,
        a_others_amount       IN VARCHAR2
    ) IS
    BEGIN
        --֤
        IF a_car_dealer_code IS NULL
        THEN
            raise_application_error(no_cardealer_code_excpt, no_cardealer_code_text);
        END IF;
    
        --ɾ
        BEGIN
            DELETE car_dealer.car_dealer_achievement
             WHERE the_year = a_the_year
               AND the_month = a_the_month
               AND car_dealer_code = a_car_dealer_code;
        EXCEPTION
            WHEN OTHERS THEN
                NULL;
        END;
    
        --
        INSERT INTO car_dealer.car_dealer_achievement
            (the_year,
             the_month,
             car_dealer_code,
             checked_achievement,
             policy_amount,
             cpic_amount,
             picc_amount,
             pingan_amount,
             others_amount)
        VALUES
            (a_the_year,
             a_the_month,
             a_car_dealer_code,
             a_checked_achievement,
             a_policy_amount,
             a_cpic_amount,
             a_picc_amount,
             a_pingan_amount,
             a_others_amount);
    
        COMMIT;
    END;

    PROCEDURE import_cardealer_scheme
    (
        a_the_year        IN VARCHAR2,
        a_the_month       IN VARCHAR2,
        a_car_dealer_code IN VARCHAR2,
        a_man_hour_price  IN VARCHAR2,
        a_part_price      IN VARCHAR2,
        a_claim_support   IN VARCHAR2,
        a_scheme          IN VARCHAR2,
        a_is_qualified    IN VARCHAR2
    ) IS
    BEGIN
        --֤
        IF a_car_dealer_code IS NULL
        THEN
            raise_application_error(no_cardealer_code_excpt, no_cardealer_code_text);
        END IF;
    
        --ɾ
        BEGIN
            DELETE car_dealer_scheme
             WHERE the_year = a_the_year
               AND the_month = a_the_month
               AND car_dealer_code = a_car_dealer_code;
        EXCEPTION
            WHEN OTHERS THEN
                NULL;
        END;
    
        --
        INSERT INTO car_dealer.car_dealer_scheme
            (the_year, the_month, car_dealer_code, man_hour_price, part_price, claim_support, scheme, is_qualified)
        VALUES
            (a_the_year,
             a_the_month,
             a_car_dealer_code,
             a_man_hour_price,
             a_part_price,
             a_claim_support,
             a_scheme,
             a_is_qualified);
        COMMIT;
    END;

    PROCEDURE import_repairing_order
    (
        a_branch_name           VARCHAR2,
        a_order_no              VARCHAR2,
        a_order_type            VARCHAR2,
        a_notify_no             VARCHAR2,
        a_damage_area           VARCHAR2,
        a_damage_date           VARCHAR2,
        a_generating_date       VARCHAR2,
        a_policy_no             VARCHAR2,
        a_policy_no_jqx         VARCHAR2,
        a_plate_number          VARCHAR2,
        a_brand_name            VARCHAR2,
        a_is_insurance_object   VARCHAR2,
        a_is_success            VARCHAR2,
        a_recommend_dealer_code VARCHAR2,
        a_recommend_dealer_name VARCHAR2,
        --a_recomm_dealer_code_in_notify VARCHAR2,
        a_recomm_dealer_name_in_notify VARCHAR2,
        a_recomm_dealer_name_in_survey VARCHAR2,
        a_agent_name                   VARCHAR2,
        a_surveyor                     VARCHAR2,
        a_check_date                   VARCHAR2,
        a_repairing_start_date         VARCHAR2,
        a_repairing_finish_date        VARCHAR2,
        a_status                       VARCHAR2,
        a_lost_item_id                 VARCHAR2,
        a_surveyor_recomm_status       VARCHAR2
    ) IS
        l_damage_date           DATE;
        l_gen_date              DATE;
        l_repairing_start_date  DATE;
        l_repairing_finish_date DATE;
        l_check_date            DATE;
    BEGIN
        --֤
        IF a_order_no IS NULL
        THEN
            raise_application_error(no_cardealer_code_excpt, no_cardealer_code_text);
        END IF;
    
        --ɾ
        BEGIN
            DELETE car_dealer.repair_order_info a WHERE a_order_no = a.order_no;
        EXCEPTION
            WHEN OTHERS THEN
                NULL;
        END;
    
        --ڴ
        BEGIN
            l_damage_date := to_date(a_damage_date, 'yyyy-mm-dd hh24:mi:ss');
        EXCEPTION
            WHEN OTHERS THEN
                l_damage_date := NULL;
        END;
    
        BEGIN
            l_gen_date := to_date(a_generating_date, 'yyyy-mm-dd hh24:mi:ss');
        EXCEPTION
            WHEN OTHERS THEN
                l_gen_date := NULL;
        END;
    
        BEGIN
            l_repairing_start_date := to_date(a_repairing_start_date, 'yyyy-mm-dd hh24:mi:ss');
        EXCEPTION
            WHEN OTHERS THEN
                l_repairing_start_date := NULL;
        END;
    
        BEGIN
            l_repairing_finish_date := to_date(a_repairing_finish_date, 'yyyy-mm-dd hh24:mi:ss');
        EXCEPTION
            WHEN OTHERS THEN
                l_repairing_finish_date := NULL;
        END;
    
        BEGIN
            l_check_date := to_date(a_check_date, 'yyyy-mm-dd hh24:mi:ss');
        EXCEPTION
            WHEN OTHERS THEN
                l_check_date := NULL;
        END;
    
        --д
        INSERT INTO repair_order_info
            (branch_name,
             order_no,
             order_type,
             notify_no,
             damage_area,
             damage_date,
             generating_date,
             policy_no,
             policy_no_jqx,
             plate_number,
             brand_name,
             is_insurance_object,
             is_success,
             recommend_dealer_code,
             recommend_dealer_name,
             --recomm_dealer_code_in_notify,
             recomm_dealer_name_in_notify,
             recomm_dealer_name_in_survey,
             agent_name,
             surveyor,
             check_date,
             repairing_start_date,
             repairing_finish_date,
             status,
             lost_item_id,
             surveyor_recomm_status)
        VALUES
            (a_branch_name,
             a_order_no,
             a_order_type,
             a_notify_no,
             a_damage_area,
             l_damage_date,
             l_gen_date,
             a_policy_no,
             a_policy_no_jqx,
             a_plate_number,
             a_brand_name,
             a_is_insurance_object,
             a_is_success,
             a_recommend_dealer_code,
             a_recommend_dealer_name,
             --a_recomm_dealer_code_in_notify,
             a_recomm_dealer_name_in_notify,
             a_recomm_dealer_name_in_survey,
             a_agent_name,
             a_surveyor,
             l_check_date,
             l_repairing_start_date,
             l_repairing_finish_date,
             a_status,
             a_lost_item_id,
             a_surveyor_recomm_status);
    
        COMMIT;
    END;

    PROCEDURE import_repairing_suggestion
    (
        a_order_no     VARCHAR2,
        a_order_type   VARCHAR2,
        a_notify_no    VARCHAR2,
        a_Ƽ̴ VARCHAR2,
        a_Ƽ VARCHAR2,
        a_damage_date  VARCHAR2,
        a_plateNo      VARCHAR2,
        a_brand_name   VARCHAR2,
        a_message_type VARCHAR2,
        a_sending_date VARCHAR2,
        a_data_source  VARCHAR2
    ) IS
    BEGIN
        --֤
        IF a_order_no IS NULL
        THEN
            raise_application_error(no_order_no_excpt, no_order_no_text);
        END IF;
    
        IF a_notify_no IS NULL
        THEN
            raise_application_error(no_notify_no_excpt, no_notify_no_text);
        END IF;
    
        --ɾ
        BEGIN
            DELETE FROM car_dealer.ͷƼ a
             WHERE a. = a_order_no
               AND a. = a_notify_no;
        EXCEPTION
            WHEN OTHERS THEN
                NULL;
        END;
    
        --
        INSERT INTO car_dealer.ͷƼ
            (,
             ,
             ,
             Ƽ̴,
             Ƽ,
             ,
             ƺ,
             Ʒ,
             ,
             ʱ,
             Դ)
        VALUES
            (a_order_no,
             a_order_type,
             a_notify_no,
             nvl(a_Ƽ̴, ''),
             nvl(a_Ƽ, ''),
             to_date(a_damage_date, 'yyyy-mm-dd hh24:mi:ss'),
             a_plateNo,
             nvl(a_brand_name, ''),
             nvl(a_message_type, ''),
             to_date(a_sending_date, 'yyyy-mm-dd hh24:mi:ss'),
             nvl(a_data_source, ''));
    
        COMMIT;
    
    END;

    PROCEDURE ͷ޼ر
    (
        a_ֹ˾                 VARCHAR2,
        a_                 VARCHAR2,
        a_                     VARCHAR2,
        a_                   VARCHAR2,
        a_                   VARCHAR2,
        a_յص                   VARCHAR2,
        a_¹ʳĿǰλ             VARCHAR2,
        a_                   VARCHAR2,
        a_                       VARCHAR2,
        a_vin                      VARCHAR2,
        a_                       VARCHAR2,
        a_Ʒƴ                   VARCHAR2,
        a_Ʒ                   VARCHAR2,
        a_ϵ                   VARCHAR2,
        a_ʹ               VARCHAR2,
        a_                     VARCHAR2,
        a_ĳ_߳              VARCHAR2,
        a_Ƿ9ͥó    VARCHAR2,
        a_˼۽                   VARCHAR2,
        a_           VARCHAR2,
        a_ʱѺ         VARCHAR2,
        a_Ϻ           VARCHAR2,
        a_޷Ѻ         VARCHAR2,
        a_ʩȷѺ         VARCHAR2,
        a_᰸                   VARCHAR2,
        a_᰸           VARCHAR2,
        a_᰸ʱѺ         VARCHAR2,
        a_᰸Ϻ           VARCHAR2,
        a_᰸޷Ѻ         VARCHAR2,
        a_᰸ʩȷѺ         VARCHAR2,
        a_ӱ˷ֹ˾         VARCHAR2,
        a_ӱ˹               VARCHAR2,
        a_ӱ               VARCHAR2,
        a_һʱ           VARCHAR2,
        a_һԱֹ˾           VARCHAR2,
        a_һԱ       VARCHAR2,
        a_һԱ             VARCHAR2,
        a_һԱ             VARCHAR2,
        a_һǷĶ         VARCHAR2,
        a_һǷԤԼ       VARCHAR2,
        a_һǷƼʧ       VARCHAR2,
        a_һǷȷ       VARCHAR2,
        a_һǷȷ       VARCHAR2,
        a_ڶʱ           VARCHAR2,
        a_ڶԱֹ˾           VARCHAR2,
        a_ڶԱ       VARCHAR2,
        a_ڶԱ             VARCHAR2,
        a_ڶԱ             VARCHAR2,
        a_ڶǷĶ         VARCHAR2,
        a_ڶǷԤԼ       VARCHAR2,
        a_ڶǷƼʧ       VARCHAR2,
        a_ڶǷȷ       VARCHAR2,
        a_ڶǷȷ       VARCHAR2,
        a_ʱ           VARCHAR2,
        a_Աֹ˾           VARCHAR2,
        a_Ա       VARCHAR2,
        a_Ա             VARCHAR2,
        a_Ա             VARCHAR2,
        a_ǷĶ         VARCHAR2,
        a_ǷԤԼ       VARCHAR2,
        a_ǷƼʧ       VARCHAR2,
        a_Ƿȷ       VARCHAR2,
        a_Ƿȷ       VARCHAR2,
        a_鿱ԱϢ             VARCHAR2,
        a_ǷƼ                   VARCHAR2,
        a_Ƿڹ               VARCHAR2,
        a_                   VARCHAR2,
        a_鿱Ա             VARCHAR2,
        a_״̬               VARCHAR2,
        a_״_ǰ״̬              VARCHAR2,
        a_״_              VARCHAR2,
        a_״_ֳƼ          VARCHAR2,
        a_״_˼ͨ          VARCHAR2,
        a_״_᰸              VARCHAR2,
        a_б̴               VARCHAR2,
        a_б               VARCHAR2,
        a_̷ֹ˾         VARCHAR2,
        a_̲         VARCHAR2,
        a_̴               VARCHAR2,
        a_               VARCHAR2,
        a_ֳƼ̷ֹ˾     VARCHAR2,
        a_ֳƼ̴           VARCHAR2,
        a_ֳƼ           VARCHAR2,
        a_˼۳̷ֹ˾         VARCHAR2,
        a_˼۳̲         VARCHAR2,
        a_˼۳̴               VARCHAR2,
        a_˼۳               VARCHAR2,
        a_Ƽ˼۳Ƿһ VARCHAR2,
        a_˼˾     VARCHAR2,
        a_˼˾     VARCHAR2,
        a_˼                 VARCHAR2,
        a_˼             VARCHAR2,
        a_𵥺                   VARCHAR2,
        a_˼ͨʱ               VARCHAR2,
        a_Ա                 VARCHAR2,
        a_Ա                 VARCHAR2,
        a_Ա                 VARCHAR2,
        a_᰸̷ֹ˾             VARCHAR2,
        a_᰸̲         VARCHAR2,
        a_᰸̴               VARCHAR2,
        a_᰸               VARCHAR2,
        a_Ƽ᰸Ƿһ VARCHAR2,
        a_᰸˾     VARCHAR2,
        a_᰸˾     VARCHAR2,
        a_᰸             VARCHAR2,
        a_᰸             VARCHAR2,
        a_ʱ               VARCHAR2,
        a_ʱ               VARCHAR2,
        a_᰸ʱ                   VARCHAR2,
        a_¹ʾ                   VARCHAR2,
        a_ݸ               VARCHAR2,
        a_ע                       VARCHAR2,
        a_ģ                 VARCHAR2,
        a_޿_              VARCHAR2,
        a_޿_              VARCHAR2,
        a_޿_˼              VARCHAR2,
        a_޿_˼              VARCHAR2,
        a_޿_᰸              VARCHAR2,
        a_޿_᰸              VARCHAR2,
        a_鿱Աֹ˾           VARCHAR2,
        a_鿱Ա                 VARCHAR2,
        a_鿱Ա                 VARCHAR2,
        a_˼֧         VARCHAR2,
        a_᰸֧         VARCHAR2,
        a_Ƿ                   VARCHAR2,
        a_ϯƼֹ˾         VARCHAR2,
        a_ϯƼֹ˾         VARCHAR2,
        a_ϯƼ         VARCHAR2,
        a_ϯƼ           VARCHAR2,
        a_ϯƼ           VARCHAR2,
        a_ϯƼ               VARCHAR2,
        a_һƼֹ˾       VARCHAR2,
        a_һƼֹ˾       VARCHAR2,
        a_һƼ̴         VARCHAR2,
        a_һƼ         VARCHAR2,
        a_һƼ             VARCHAR2,
        a_һƼ         VARCHAR2,
        a_һƼ             VARCHAR2,
        a_ڶƼֹ˾       VARCHAR2,
        a_ڶƼֹ˾       VARCHAR2,
        a_ڶƼ̴         VARCHAR2,
        a_ڶƼ         VARCHAR2,
        a_ڶƼ             VARCHAR2,
        a_ڶƼ         VARCHAR2,
        a_ڶƼ             VARCHAR2,
        a_Ƽֹ˾       VARCHAR2,
        a_Ƽֹ˾       VARCHAR2,
        a_Ƽ̴         VARCHAR2,
        a_Ƽ         VARCHAR2,
        a_Ƽ             VARCHAR2,
        a_Ƽ         VARCHAR2,
        a_Ƽ             VARCHAR2,
        a_ƼϢ               VARCHAR2,
        a_Ƽʧܾԭ           VARCHAR2,
        a_Ƿֳ               VARCHAR2,
        a_ص                   VARCHAR2,
        a_Ƿڳ               VARCHAR2
    ) IS
        l_         DATE;
        l_         DATE;
        l_ݸ     DATE;
        l_һʱ DATE;
        l_ڶʱ DATE;
        l_ʱ DATE;
        l_˼ͨʱ     DATE;
        l_ʱ     DATE;
        l_ʱ     DATE;
        l_᰸ʱ         DATE;
    BEGIN
        --֤
        IF a_ IS NULL
        THEN
            raise_application_error(no_notify_no_excpt, no_notify_no_text);
        END IF;
    
        --ɾ
        BEGIN
            DELETE car_dealer.ͷ޼ر a WHERE a. = a_;
        EXCEPTION
            WHEN OTHERS THEN
                NULL;
        END;
    
        --
        l_         := ַת(a_, 'yyyy-mm-dd hh24:mi:ss');
        l_         := ַת(a_, 'yyyy-mm-dd hh24:mi:ss');
        l_ݸ     := ַת(a_ݸ, 'yyyy-mm-dd hh24:mi:ss');
        l_һʱ := ַת(a_һʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_ڶʱ := ַת(a_ڶʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_ʱ := ַת(a_ʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_˼ͨʱ     := ַת(a_˼ͨʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_ʱ     := ַת(a_ʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_ʱ     := ַת(a_ʱ, 'yyyy-mm-dd hh24:mi:ss');
        l_᰸ʱ         := ַת(a_᰸ʱ, 'yyyy-mm-dd hh24:mi:ss');
    
        --
        INSERT INTO car_dealer.ͷ޼ر
            (ֹ˾,
             ,
             ,
             ,
             ,
             յص,
             ¹ʳĿǰλ,
             ,
             ,
             vin,
             ,
             Ʒƴ,
             Ʒ,
             ϵ,
             ʹ,
             ,
             ĳ_߳,
             Ƿҵͥó,
             ˼۽,
             ,
             ʱѺ,
             Ϻ,
             ޷Ѻ,
             ʩȷѺ,
             ᰸,
             ᰸,
             ᰸ʱѺ,
             ᰸Ϻ,
             ᰸޷Ѻ,
             ᰸ʩȷѺ,
             ӱ˷ֹ˾,
             ӱ˹,
             ӱ,
             һʱ,
             һԱֹ˾,
             һԱ,
             һԱ,
             һԱ,
             һǷĶ,
             һǷԤԼ,
             һǷƼʧ,
             һǷȷ,
             һǷȷ,
             ڶʱ,
             ڶԱֹ˾,
             ڶԱ,
             ڶԱ,
             ڶԱ,
             ڶǷĶ,
             ڶǷԤԼ,
             ڶǷƼʧ,
             ڶǷȷ,
             ڶǷȷ,
             ʱ,
             Աֹ˾,
             Ա,
             Ա,
             Ա,
             ǷĶ,
             ǷԤԼ,
             ǷƼʧ,
             Ƿȷ,
             Ƿȷ,
             鿱ԱϢ,
             ǷƼ,
             Ƿڹ,
             ,
             鿱Ա,
             ״̬,
             ״_ǰ״̬,
             ״_,
             ״_ֳƼ,
             ״_˼ͨ,
             ״_᰸,
             б̴,
             б,
             ̷ֹ˾,
             ̲,
             ̴,
             ,
             ֳƼ̷ֹ˾,
             ֳƼ̴,
             ֳƼ,
             ˼۳̷ֹ˾,
             ˼۳̲,
             ˼۳̴,
             ˼۳,
             Ƽ˼۳Ƿһ,
             ˼˾,
             ˼˾,
             ˼,
             ˼,
             𵥺,
             ˼ͨʱ,
             Ա,
             Ա,
             Ա,
             ᰸̷ֹ˾,
             ᰸̲,
             ᰸̴,
             ᰸,
             Ƽ᰸Ƿһ,
             ᰸˾,
             ᰸˾,
             ᰸,
             ᰸,
             ʱ,
             ʱ,
             ᰸ʱ,
             ¹ʾ,
             ݸ,
             ע,
             ģ,
             ޿_,
             ޿_,
             ޿_˼,
             ޿_˼,
             ޿_᰸,
             ޿_᰸,
             鿱Աֹ˾,
             鿱Ա,
             鿱Ա,
             ˼֧,
             ᰸֧,
             Ƿ,
             ϯƼֹ˾,
             ϯƼֹ˾,
             ϯƼ,
             ϯƼ,
             ϯƼ,
             ϯƼ,
             һƼֹ˾,
             һƼֹ˾,
             һƼ̴,
             һƼ,
             һƼ,
             һƼ,
             һƼ_ƼϢ,
             ڶƼֹ˾,
             ڶƼֹ˾,
             ڶƼ̴,
             ڶƼ,
             ڶƼ,
             ڶƼ,
             ڶƼ_ƼϢ,
             Ƽֹ˾,
             Ƽֹ˾,
             Ƽ̴,
             Ƽ,
             Ƽ,
             Ƽ,
             Ƽ_ƼϢ,
             ƼϢ,
             Ƽʧܾԭ,
             Ƿֳ,
             ص,
             Ƿڳ)
        VALUES
            (a_ֹ˾,
             a_,
             a_,
             l_,
             l_,
             a_յص,
             a_¹ʳĿǰλ,
             a_,
             a_,
             a_vin,
             a_,
             a_Ʒƴ,
             a_Ʒ,
             a_ϵ,
             a_ʹ,
             a_,
             a_ĳ_߳,
             a_Ƿ9ͥó,
             a_˼۽,
             a_,
             a_ʱѺ,
             a_Ϻ,
             a_޷Ѻ,
             a_ʩȷѺ,
             a_᰸,
             a_᰸,
             a_᰸ʱѺ,
             a_᰸Ϻ,
             a_᰸޷Ѻ,
             a_᰸ʩȷѺ,
             a_ӱ˷ֹ˾,
             a_ӱ˹,
             a_ӱ,
             l_һʱ,
             a_һԱֹ˾,
             a_һԱ,
             a_һԱ,
             a_һԱ,
             a_һǷĶ,
             a_һǷԤԼ,
             a_һǷƼʧ,
             a_һǷȷ,
             a_һǷȷ,
             l_ڶʱ,
             a_ڶԱֹ˾,
             a_ڶԱ,
             a_ڶԱ,
             a_ڶԱ,
             a_ڶǷĶ,
             a_ڶǷԤԼ,
             a_ڶǷƼʧ,
             a_ڶǷȷ,
             a_ڶǷȷ,
             l_ʱ,
             a_Աֹ˾,
             a_Ա,
             a_Ա,
             a_Ա,
             a_ǷĶ,
             a_ǷԤԼ,
             a_ǷƼʧ,
             a_Ƿȷ,
             a_Ƿȷ,
             a_鿱ԱϢ,
             a_ǷƼ,
             a_Ƿڹ,
             a_,
             a_鿱Ա,
             a_״̬,
             a_״_ǰ״̬,
             a_״_,
             a_״_ֳƼ,
             a_״_˼ͨ,
             a_״_᰸,
             a_б̴,
             a_б,
             a_̷ֹ˾,
             a_̲,
             a_̴,
             a_,
             a_ֳƼ̷ֹ˾,
             a_ֳƼ̴,
             a_ֳƼ,
             a_˼۳̷ֹ˾,
             a_˼۳̲,
             a_˼۳̴,
             a_˼۳,
             a_Ƽ˼۳Ƿһ,
             a_˼˾,
             a_˼˾,
             a_˼,
             a_˼,
             a_𵥺,
             l_˼ͨʱ,
             a_Ա,
             a_Ա,
             a_Ա,
             a_᰸̷ֹ˾,
             a_᰸̲,
             a_᰸̴,
             a_᰸,
             a_Ƽ᰸Ƿһ,
             a_᰸˾,
             a_᰸˾,
             a_᰸,
             a_᰸,
             l_ʱ,
             l_ʱ,
             l_᰸ʱ,
             a_¹ʾ,
             l_ݸ,
             a_ע,
             a_ģ,
             a_޿_,
             a_޿_,
             a_޿_˼,
             a_޿_˼,
             a_޿_᰸,
             a_޿_᰸,
             a_鿱Աֹ˾,
             a_鿱Ա,
             a_鿱Ա,
             a_˼֧,
             a_᰸֧,
             a_Ƿ,
             a_ϯƼֹ˾,
             a_ϯƼֹ˾,
             a_ϯƼ,
             a_ϯƼ,
             a_ϯƼ,
             a_ϯƼ,
             a_һƼֹ˾,
             a_һƼֹ˾,
             a_һƼ̴,
             a_һƼ,
             a_һƼ,
             a_һƼ,
             a_һƼ,
             a_ڶƼֹ˾,
             a_ڶƼֹ˾,
             a_ڶƼ̴,
             a_ڶƼ,
             a_ڶƼ,
             a_ڶƼ,
             a_ڶƼ,
             a_Ƽֹ˾,
             a_Ƽֹ˾,
             a_Ƽ̴,
             a_Ƽ,
             a_Ƽ,
             a_Ƽ,
             a_Ƽ,
             a_ƼϢ,
             a_Ƽʧܾԭ,
             a_Ƿֳ,
             a_ص,
             a_Ƿڳ);
    
        COMMIT;
    END;

    FUNCTION ַת
    (
        a_date    VARCHAR2,
        a_formate VARCHAR2
    ) RETURN DATE IS
        l_date DATE;
    BEGIN
        BEGIN
            l_date := to_date(a_date, a_formate);
        EXCEPTION
            WHEN OTHERS THEN
                l_date := NULL;
        END;
    
        RETURN l_date;
    END;
BEGIN
    -- Initialization
    NULL;
END data_import_util_pkg;
/
