﻿// **********************************************************
// 文件名：CarDealerMap.h
// 创建日期：2020-11-23 13:59
// 作者: 王炜
// 说明：车商对象映射表
// **********************************************************

#pragma once


#include <unordered_map>
#include <QString>
#include <string>
#include "CarDealer.h"

/************************************************
* \brief 
************************************************/
void InitCarDealerMap();

/************************************************
* \brief 
* \return 
************************************************/
std::unordered_map<std::wstring, CarDealer> * GetCarDealerMap();

std::wstring GetCarDealerName(const std::wstring& carDealerCode);
