﻿#pragma once

#include <QWidget>
#include <vector>
#include "ui_QCarDealerSchemaWidget.h"
#include "../../Data/Datastructure/CarDealerScheme/CarDealerScheme.h"


class QCarDealerSchemaWidget : public QWidget
{
	Q_OBJECT

public:
	QCarDealerSchemaWidget(QWidget *parent = Q_NULLPTR);
	~QCarDealerSchemaWidget();

protected Q_SLOTS:
	void onImport();

private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();

	void showCarDealerSchema();

private:
	Ui::QCarDealerSchemaWidget ui;

	std::vector<CarDealerScheme> schemeVector;
};
