﻿#pragma once

#include <QWidget>
#include <vector>
#include "ui_QRepairRecommendationWidget.h"
#include "../../Data/Datastructure/RepairSuggestion/RepairRecommandationRecord.h"

class QRepairRecommendationWidget : public QWidget
{
	Q_OBJECT

public:
	QRepairRecommendationWidget(QWidget *parent = Q_NULLPTR);
	~QRepairRecommendationWidget();

protected Q_SLOTS:
	void onImport();
	
private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();

	void showRepairRecommandation();
private:
	Ui::QRepairRecommendationWidget ui;

	//数据
	std::vector<RepairRecommandationRecord> recommandationVector;
};
