CREATE TABLE repair_order_info
(
       branch_name VARCHAR2(100 CHAR),
       order_no    VARCHAR2(12),
       order_type  VARCHAR2(20),
       notify_no   VARCHAR2(20),
       damage_area VARCHAR2(100 CHAR),
       damage_date DATE,
       generating_date DATE,
       policy_no   VARCHAR2(20),
       policy_no_jqx VARCHAR2(20),
       plate_number VARCHAR2(10 CHAR),
       brand_name VARCHAR2(100 CHAR),
       is_insurance_object CHAR(1),
       is_success CHAR(1),
       recommend_dealer_code VARCHAR2(20),
       recommend_dealer_name VARCHAR2(100 CHAR),
       recomm_dealer_code_in_notify VARCHAR2(20),
       recomm_dealer_name_in_notify VARCHAR2(100 CHAR),
       recomm_dealer_name_in_survey VARCHAR2(100 CHAR),
       agent_name VARCHAR2(10 CHAR),
       surveyor VARCHAR2(10 CHAR),
       check_date DATE,
       repairing_start_date DATE,
       repairing_finish_date DATE,
       status VARCHAR2(10 CHAR),
       lost_item_id VARCHAR(20),
       surveyor_recomm_status VARCHAR2(20 CHAR)
)
TABLESPACE car_dealer;

comment on table REPAIR_ORDER_INFO is 'ͷ޹';
-- Add comments to the columns 
comment on column REPAIR_ORDER_INFO.branch_name IS 'ֹ˾';
comment on column REPAIR_ORDER_INFO.order_no IS '';
comment on column REPAIR_ORDER_INFO.order_type IS '';
comment on column REPAIR_ORDER_INFO.notify_no IS '';
comment on column REPAIR_ORDER_INFO.damage_area IS '';
comment on column REPAIR_ORDER_INFO.damage_date IS '';
comment on column REPAIR_ORDER_INFO.generating_date IS '';
comment on column REPAIR_ORDER_INFO.policy_no IS 'ҵձ';
comment on column REPAIR_ORDER_INFO.policy_no_jqx IS 'ǿձ';
comment on column REPAIR_ORDER_INFO.plate_number IS 'ƺ';
comment on column REPAIR_ORDER_INFO.brand_name IS 'Ʒ';
comment on column REPAIR_ORDER_INFO.is_insurance_object IS 'Ƿĳ';
comment on column REPAIR_ORDER_INFO.is_success IS 'ǷƼɹ';
comment on column REPAIR_ORDER_INFO.recommend_dealer_code IS 'Ƽ̴';
comment on column REPAIR_ORDER_INFO.recommend_dealer_name IS 'Ƽ';
comment on column REPAIR_ORDER_INFO.recomm_dealer_code_in_notify IS 'Ƽ̴';
comment on column REPAIR_ORDER_INFO.recomm_dealer_name_in_notify IS 'Ƽ';
comment on column REPAIR_ORDER_INFO.recomm_dealer_name_in_survey IS '鿱ԱƼ';
comment on column REPAIR_ORDER_INFO.agent_name IS 'ӱ';
comment on column REPAIR_ORDER_INFO.surveyor IS '鿱Ա';
comment on column REPAIR_ORDER_INFO.check_date IS 'ȷ';
comment on column REPAIR_ORDER_INFO.repairing_start_date IS 'ʱ';
comment on column REPAIR_ORDER_INFO.repairing_finish_date IS 'ʱ';
comment on column REPAIR_ORDER_INFO.status IS '״̬';
comment on column REPAIR_ORDER_INFO.lost_item_id IS 'ʧĿID';
comment on column REPAIR_ORDER_INFO.surveyor_recomm_status IS '鿱ԱƼ״̬';

CREATE INDEX repair_order_index_01 ON repair_order_info(notify_no, order_no) TABLESPACE car_dealer_idx;

       
       
       
       
       
       
